
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_seatavailabilityrs_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for DeckCodeContentType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="DeckCodeContentType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Upper"/&amp;gt;
 *     &amp;lt;enumeration value="Main"/&amp;gt;
 *     &amp;lt;enumeration value="Lower"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "DeckCodeContentType")
@XmlEnum
public enum DeckCodeContentType {


    /**
     * Upper Deck
     * 
     */
    @XmlEnumValue("Upper")
    UPPER("Upper"),

    /**
     * Main Deck
     * 
     */
    @XmlEnumValue("Main")
    MAIN("Main"),

    /**
     * Lower Deck
     * 
     */
    @XmlEnumValue("Lower")
    LOWER("Lower");
    private final String value;

    DeckCodeContentType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static DeckCodeContentType fromValue(String v) {
        for (DeckCodeContentType c: DeckCodeContentType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
